# vim: set ft=spec: -*- mode: rpm-spec; -*-
# $Id: xerces-c,v 1.1 2003/09/28 14:34:17 raorn Exp $

%define name xerces-c
%define ver  2.3.0
%define tarver %(echo "%ver" | sed -e 's/\\./_/g')
%define rel alt1

# threads
# values: pthread, none
%define threads pthread

Name: %name
Version: %ver
Release: %rel
Summary: Xerces-C++ validating XML parser
Group: Development/C++
License: Apache
URL: http://xml.apache.org/%name/

Source: %name-src_%tarver.tar.gz

# Automatically added by buildreq on Sun Sep 28 2003
BuildRequires: gcc-c++ libstdc++-devel

%define _customdocdir %_docdir/%name-%version

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package -n lib%name
Summary: Xerces-C++ validating XML parser
Group: Development/C++

%description -n lib%name
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%package -n lib%name-devel
Summary: Header files for Xerces-C++ validating XML parser
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files you can use to develop XML applications with Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%package doc
Summary: Documentation for Xerces-C++ validating XML parser
Group: Books/Computer books
Conflicts: lib%name < %version-%release
Conflicts: lib%name > %version-%release

%description doc
Documentation for Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%package demos
Summary: Samples for Xerces-C++ validating XML parser
Group: Text tools
Conflicts: lib%name < %version-%release
Conflicts: lib%name > %version-%release

%description demos
Samples for Xerces-C++ validating XML parser

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%prep
%setup -q -n %name-src_%tarver

%build
# SMP build is b0rken...
%define __nprocs 1
%remove_optflags %optflags_optimization
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; 
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; 
export XERCESCROOT=`pwd`
cd $XERCESCROOT/src/xercesc
./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -tnative -r%threads -P%_prefix
%make_build
cd $XERCESCROOT/samples
./runConfigure -plinux -cgcc -xg++
%make_build

%install
%__mkdir_p %buildroot%_customdocdir

export XERCESCROOT=`pwd`
cd $XERCESCROOT/src/xercesc
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot%_bindir
find $XERCESCROOT/bin -type f -maxdepth 1 -print0 |
	xargs -r0 -i@@ -n 1 %__install -m755 @@ %buildroot%_bindir

%post -n lib%name -p %post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%docdir %_customdocdir
%doc LICENSE STATUS credits.txt
%_libdir/lib*.so.*

%files -n lib%name-devel
%_includedir/xercesc
%_libdir/lib*.so

%files doc
%docdir %_customdocdir
%doc doc/html/*

%files demos
%_bindir/*

%changelog
* Sun Sep 28 2003 Sir Raorn <raorn@altlinux.ru> 2.3.0-alt1
- Built for Sisyphus


